net.sf.jasperreports.data.jdbc

## Class JdbcDataAdapterService

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapterService
  - - net.sf.jasperreports.data.AbstractClasspathAwareDataAdapterService
    - - net.sf.jasperreports.data.jdbc.JdbcDataAdapterService

- All Implemented Interfaces:
    DataAdapterService, ParameterContributor
  Direct Known Subclasses:
    MondrianDataAdapterService

      public class JdbcDataAdapterService
      extends AbstractClasspathAwareDataAdapterService

  Version:
    $Id: JdbcDataAdapterService.java 6233 2013-06-06 11:43:11Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.data.AbstractClasspathAwareDataAdapterService

      `CURRENT_CLASS_LOADER`

    - ### Fields inherited from class net.sf.jasperreports.data.AbstractDataAdapterService

      `SECRETS_CATEGORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdbcDataAdapterService(JasperReportsContext jasperReportsContext, JdbcDataAdapter jdbcDataAdapter)`
    `JdbcDataAdapterService(JdbcDataAdapter jdbcDataAdapter)` Deprecated. Replaced by `JdbcDataAdapterService(JasperReportsContext, JdbcDataAdapter)`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contributeParameters(java.util.Map<java.lang.String,java.lang.Object> parameters)`
    `void` | `dispose()`
    `java.sql.Connection` | `getConnection()`
    `JdbcDataAdapter` | `getJdbcDataAdapter()`
    `java.lang.String` | `getPassword()`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractClasspathAwareDataAdapterService

      `getClassLoader`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractDataAdapterService

      `getDataAdapter, getJasperReportsContext, getName, setDataAdapter, setName, test`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JdbcDataAdapterService

          public JdbcDataAdapterService(JasperReportsContext jasperReportsContext,
                                JdbcDataAdapter jdbcDataAdapter)

    - #### JdbcDataAdapterService

          public JdbcDataAdapterService(JdbcDataAdapter jdbcDataAdapter)

      Deprecated. Replaced by `JdbcDataAdapterService(JasperReportsContext, JdbcDataAdapter)`.

  - ### Method Detail

    - #### getJdbcDataAdapter

          public JdbcDataAdapter getJdbcDataAdapter()

    - #### contributeParameters

          public void contributeParameters(java.util.Map<java.lang.String,java.lang.Object> parameters)
                                    throws JRException

      Specified by:
        `contributeParameters` in interface `ParameterContributor`
      Specified by:
        `contributeParameters` in class `AbstractDataAdapterService`
      Throws:
        `JRException`

    - #### getConnection

          public java.sql.Connection getConnection()
                                            throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getPassword

          public java.lang.String getPassword()
                                       throws JRException

      Throws:
        `JRException`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `ParameterContributor`
      Overrides:
        `dispose` in class `AbstractDataAdapterService`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com